Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface IPresentation

    com.change_vision.jude.api.inf.presentation.IPresentation

All Superinterfaces:
  IEntity, IHyperlinkOwner

All Implemented Interfaces:
  IEntity, IHyperlinkOwner

All Known Implementing Classes:
  ICell, IHeaderCell, ILinkPresentation, INodePresentation, ITopicPresentation, IValueCell

    public IPresentation

extends IEntity, IHyperlinkOwner

Interface for Presentation.

Method Summary
`abstract IDiagram` | `getDiagram()` Get diagram.
`abstract String` | `getID()` Get ID.
`abstract String` | `getLabel()` Get label.
`abstract IElement` | `getModel()` Get model.
`abstract HashMap` | `getProperties()` Get Properties.
`abstract String` | `getProperty(String key)` Get Properties.
`abstract String` | `getType()` Get Presentation Type.
`abstract void` | `setLabel(String label)` Set Label.
`abstract void` | `setProperties(Map map)` Set Properties.
`abstract void` | `setProperty(String key, String value)` Set Property.

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getID

    abstract String getID()

  Get ID.

  Returns:
    ID

### getModel

    abstract IElement getModel()

  Get model.

  Returns:
    model

### getDiagram

    abstract IDiagram getDiagram()

  Get diagram.

  Returns:
    diagram

### getType

    abstract String getType()

  Get Presentation Type.

  Returns:
    Presentation Type Frame:"Frame" Class:"Class" StructuredClass:"StructuredClass" Nest:"Containment" NestGroup:"ContainmentGroup" Association:"Association" Generalization:"Generalization" GeneralizationGroup:"GeneralizationGroup" Realization:"Realization" Dependency:"Dependency" Usage:"Usage" TemplateBinding:"TemplateBinding" AssociationClass:"AssociationClass" Model:"Model" Package"Package" SubSystem:"SubSystem" Part:"Part" Port:"Port" Connector:"Connector" InstanceSpecification:"InstanceSpecification" Link:"Link" Note:"Note" NoteAnchor:"NoteAnchor" Text:"Text" Rectangle:"Rectangle" Oval:"Oval" Image:"Image" Line:"Line" FreeHand:"FreeHand" Highlighter:"Highlighter" UseCase:"UseCase" Extend:"Extend" Include:"Include" InitialPseudostate:"InitialPseudostate" State:"State" FinalState:"FinalState" Transition:"Transition" ShallowHistoryPseudostate:"ShallowHistoryPseudostate" DeepHistoryPseudostate:"DeepHistoryPseudostate" JunctionPseudostate:"JunctionPseudostate" ChoicePseudostate:"ChoicePseudostate" ForkPseudostate:"ForkPseudostate" JoinPseudostate:"JoinPseudostate" StubState in SubmachineState:"StubState in SubmachineState" SubmachineState:"SubmachineState" Partition:"Partition" InitialNode:"InitialNode" Action:"Action" Flow Final Node:"Flow Final Node" AcceptTimeEventAction:"AcceptTimeEventAction" InputPin: "InputPin" OutputPin:"OutputPin" SendSignalAction:"SendSignalAction" AcceptEventAction:"AcceptEventAction" Process:"Process" Connector:"Connector" CallBehaviorAction:"CallBehaviorAction" ActivityFinal:"ActivityFinal" ControlFlow/ObjectFlow:"ControlFlow/ObjectFlow" Decision Node & Merge Node:"Decision Node & Merge Node" ForkNode:"ForkNode" JoinNode:"JoinNode" ObjectNode:"ObjectNode" Lifeline:"Lifeline" Activation:"Activation" Message:"Message" Termination:"Termination" InteractionUse :"InteractionUse" CombinedFragment:"CombinedFragment" StateInvariant:"StateInvariant" Lane:"Lane" Process:"Process" Transition:"Transition" InitialNode:"InitialNode" FinalNode:"FinalNode" ConditionJudgement:"ConditionJudgement" Fork:"Fork" Join:"Join" ExternalEntity:"ExternalEntity" ProcessBox:"ProcessBox" DataStore:"DataStore" Anchor:"Anchor" DataFlow:"DataFlow" Requirement:"Requirement" TestCase:"TestCase" DeriveReqt:"DeriveReqt" Copy:"Copy" Satisfy:"Satisfy" Verify:"Verify" Refine:"Refine" Trace:"Trace" EREntity:"EREntity" Indentifying-Relationship:"Indentifying-Relationship" Non-Indentifying-Relationship:"Non-Indentifying-Relationship" Many-to-many-Relationship:"Many-to-many-Relationship" Subtype:"Subtype" SubtypeGroup:"SubtypeGroup" Topic:"Topic" Edge:"Edge" MMLink:"MMLink" MMBoundary:"MMBoundary" ValueCell:"ValueCell" HeaderCell:"HeaderCell" TotalHeaderCell:"TotalHeaderCell"

### getProperties

    abstract HashMap getProperties()

  Get Properties.

  Returns:
    Properties.

### getProperty

    abstract String getProperty(String key)

  Get Properties.

  Parameters:
    `key` - Key of Property.
  Returns:
    Value of Property.

### setProperty

    abstract void setProperty(String key,
                              String value)

  Set Property.

  Parameters:
    `key` - Key of Property. value Value of Property.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
                                    if the label is not edited for a presentation
                                    in Class/Object Diagram, UseCase Diagram, StateMachine Diagram and ER Diagram.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setProperties

    abstract void setProperties(Map map)

  Set Properties.

  Parameters:
    `map` - Properties.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
                                    if the label is not edited for a presentation
                                    in Class/Object Diagram, UseCase Diagram, StateMachine Diagram and ER Diagram.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getLabel

    abstract String getLabel()

  Get label.

  Returns:
    label

### setLabel

    abstract void setLabel(String label)

  Set Label.

  Parameters:
    `Label` - Label
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
                                    if the label is not edited for Topic presentation or a presentation
                                    in Class/Object Diagram, UseCase Diagram, StateMachine Diagram and ER Diagram.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD